# pylint: disable=invalid-name

from enum import IntEnum

# supported schema version
DB_SCHEMA_VER = 2


# ENUMS
class ArchEnum(IntEnum):
    i686 = 0
    x86_64 = 1
    aarch64 = 2
    ppc64le = 3
    s390x = 4


class BuildTaskEnum(IntEnum):
    idle = 0
    started = 1
    completed = 2
    failed = 3
    excluded = 4
    canceled = 5


class WebNodeStatsEnum(IntEnum):
    build_done = 0
    logs_processing = 1
    packages_processing = 2
    multilib_processing = 3


class BuildNodeStatsEnum(IntEnum):
    upload = 0
    build_all = 1
    build_srpm = 2
    git_checkout = 3
    build_binaries = 4
    build_packages = 5
    build_node_task = 6
    cas_notarize_artifacts = 7
    cas_source_authenticate = 8
